      function actg(x) ! arc ctg (x). berg dec 14 2005.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      actg=acos(x/sqrt(one+x**2))
      return
      end
